Package org.jboss.resteasy.plugins.providers.jaxb.fastinfoset

## Class FastInfosetCollectionProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.CollectionProvider
  - - org.jboss.resteasy.plugins.providers.jaxb.fastinfoset.FastInfosetCollectionProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<Object>`, `javax.ws.rs.ext.MessageBodyWriter<Object>`, `AsyncBufferedMessageBodyWriter<Object>`, `AsyncMessageBodyWriter<Object>`

      @Provider
      @Consumes({"application/fastinfoset","application/*+fastinfoset"})
      @Produces({"application/fastinfoset","application/*+fastinfoset"})
      public class FastInfosetCollectionProvider
      extends CollectionProvider

  Author:
    Przemyslaw Bielicki

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.CollectionProvider

      `providers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastInfosetCollectionProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `needsSecurity()` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.CollectionProvider

      `getCharset, getFinder, getJAXBObject, getSize, isDisableDTDs, isDisableExternalEntities, isEnableSecureProcessingFeature, isReadable, isWrapped, isWriteable, readFrom, setDisableDTDs, setDisableExternalEntities, setEnableSecureProcessingFeature, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.core.messagebody.AsyncBufferedMessageBodyWriter

      `asyncWriteTo`

- - ### Constructor Detail

    - #### FastInfosetCollectionProvider

          public FastInfosetCollectionProvider()

  - ### Method Detail

    - #### needsSecurity

          protected boolean needsSecurity()

      Overrides:
        `needsSecurity` in class `CollectionProvider`